Package ch.qos.logback.core.subst

# Class NodeToStringTransformer

java.lang.Object
ch.qos.logback.core.subst.NodeToStringTransformer

public class NodeToStringTransformer extends Object
Compiles a previously parsed Node chain into a String.

Author:
  Ceki Gülcü

## Constructor Summary

Constructors
Constructor
Description
`NodeToStringTransformer(Node node, PropertyContainer propertyContainer0)`
`NodeToStringTransformer(Node node, PropertyContainer propertyContainer0, PropertyContainer propertyContainer1)`

## Method Summary

Modifier and Type
Method
Description
`static String`
`substituteVariable(String input, PropertyContainer pc0, PropertyContainer pc1)`
`String`
`transform()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NodeToStringTransformer

public NodeToStringTransformer(Node node, PropertyContainer propertyContainer0, PropertyContainer propertyContainer1)

### NodeToStringTransformer

public NodeToStringTransformer(Node node, PropertyContainer propertyContainer0)

## Method Details

### substituteVariable

public static String substituteVariable(String input, PropertyContainer pc0, PropertyContainer pc1) throws ScanException

Throws:
  `ScanException`

### transform

public String transform() throws ScanException

Throws:
  `ScanException`